## org.eclipse.emf.common.ui
Class DiagnosticComposite

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.emf.common.ui.DiagnosticComposite

All Implemented Interfaces:
  Drawable

    public class DiagnosticComposite

extends Composite

Since:
  2.3

Nested Class Summary
`static class` `DiagnosticComposite.TextProvider`

Field Summary
`protected Text` `detailText`
`protected Diagnostic` `diagnostic`
`protected TreeViewer` `diagnosticTreeViewer`
`static int` `ERROR_WARNING_MASK`
`protected int` `severityMask`
`protected boolean` `showRootDiagnostic`
`protected DiagnosticComposite.TextProvider` `textProvider`

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`DiagnosticComposite(Composite parent, int style)`

Method Summary
`protected ITreeContentProvider` `createContentProvider()`
`protected void` `createControls(Composite parent)`
`protected ILabelProvider` `createLabelProvider()`
`protected void` `diagnosticSelected(Diagnostic selection)`
`void` `dispose()`
`java.lang.String` `getDetailText()`
`Diagnostic` `getDiagnostic()`
`Diagnostic` `getSelection()`
`int` `getSeverityMask()`
`DiagnosticComposite.TextProvider` `getTextProvider()`
`void` `initialize(Diagnostic diagnostic)`
`boolean` `isInitialized()`
`boolean` `isShowRootDiagnostic()`
`void` `setDetailText(java.lang.String text)`
`void` `setDiagnostic(Diagnostic diagnostic)`
`void` `setSeverityMask(int severityMask)`
`void` `setShowRootDiagnostic(boolean showRootDiagnostic)`
`void` `setTextProvider(DiagnosticComposite.TextProvider textProvider)`
`static boolean` `severityMatches(Diagnostic diagnostic, int mask)`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR_WARNING_MASK

    public static int ERROR_WARNING_MASK

### diagnostic

    protected Diagnostic diagnostic

### textProvider

    protected DiagnosticComposite.TextProvider textProvider

### showRootDiagnostic

    protected boolean showRootDiagnostic

### diagnosticTreeViewer

    protected TreeViewer diagnosticTreeViewer

### detailText

    protected Text detailText

### severityMask

    protected int severityMask

Constructor Detail

### DiagnosticComposite

    public DiagnosticComposite(Composite parent,
                               int style)

Parameters:
  `parent` -
  `style` -

Method Detail

### severityMatches

    public static boolean severityMatches(Diagnostic diagnostic,
                                          int mask)

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `Widget`

### initialize

    public void initialize(Diagnostic diagnostic)

### isInitialized

    public boolean isInitialized()

### setDiagnostic

    public void setDiagnostic(Diagnostic diagnostic)

### getDiagnostic

    public Diagnostic getDiagnostic()

### setTextProvider

    public void setTextProvider(DiagnosticComposite.TextProvider textProvider)

### getTextProvider

    public DiagnosticComposite.TextProvider getTextProvider()

### setShowRootDiagnostic

    public void setShowRootDiagnostic(boolean showRootDiagnostic)

### isShowRootDiagnostic

    public boolean isShowRootDiagnostic()

### setSeverityMask

    public void setSeverityMask(int severityMask)

### getSeverityMask

    public int getSeverityMask()

### createControls

    protected void createControls(Composite parent)

### setDetailText

    public void setDetailText(java.lang.String text)

### getDetailText

    public java.lang.String getDetailText()

### getSelection

    public Diagnostic getSelection()

### diagnosticSelected

    protected void diagnosticSelected(Diagnostic selection)

### createContentProvider

    protected ITreeContentProvider createContentProvider()

### createLabelProvider

    protected ILabelProvider createLabelProvider()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.